
import '../../store/reducer/cart_info_reducer.dart';
import '../../store/reducer/context_reducer.dart';
import '../../store/reducer/device_id_reducer.dart';
import '../../store/reducer/fcmtoken_reducer.dart';
import '../../store/reducer/last_visit_reducer.dart';
import '../../store/reducer/locale_reducer.dart';
import '../../store/reducer/locate_address_reducer.dart';
import '../../store/reducer/redirect_route_reducer.dart';
import '../../store/reducer/table_number_reducer.dart';
import '../../store/reducer/user_reducer.dart';
import '../../store/state/app_state.dart';

AppState appReducer(AppState state, action) {
  return AppState(
    context: contextReducer(state.context, action),
    locale: localeReducer(state.locale, action),
    user: userReducer(state.user, action),
    redirectRoute: redirectRouteReducer(state.redirectRoute, action),
    locatedAddress: locatedAddressReducer(state.locatedAddress, action),
    fcmToken: fcmtokenReducer(state.fcmToken, action),
    lastVisit: lastVisitReducer(state.lastVisit, action),
    cartInfos: cartInfoReducer(state.cartInfos, action),
    deviceId: deviceIdReducer(state.deviceId, action),
    tableNumber: tableNumberReducer(state.tableNumber, action)
  );
}